#ifndef WPPostGraphicsListItem_H
#define WPPostGraphicsListItem_H

#include "wpgraphicslistitem.h"
#include "WPData.h"
#include "wppostgraphicslist.h"


class WPPostGraphicsListItem : public WPGraphicsListItem
{
    Q_OBJECT

public:
    WPPostGraphicsListItem(const WPPostGraphicsList& aList, WPPost aPost, BusyIndicator& aBusyIndicator, ThemeData& aThemeData);
    ~WPPostGraphicsListItem();
    
public: // WPGraphicsListItem implementation
    void paintContent(QPainter* painter, const QStyleOptionGraphicsItem* option, QWidget* widget = 0);
    bool IsBusy();
    bool HasError();
    void handleGeomeryChange();

public slots:
    WPPost GetPost() const;
    void calculateElidedTexts();

private: // Data
    const WPPostGraphicsList& iList;
    WPPost iPost;
    QString iDate;
    QString iTitle;
};

#endif // WPPostGraphicsListItem_H
